### Method

# EBackend CollectionBackend ref_server

since: 3.6

#### Declaration [src]

    _ESourceRegistryServer*
    e_collection_backend_ref_server (
      ECollectionBackend* backend
    )

#### Description [src]

Returns the `ESourceRegistryServer` to which `backend` belongs.

The returned `ESourceRegistryServer` is referenced for thread-safety. Unreference the `ESourceRegistryServer` with `g_object_unref()` when finished with it.

Available since: 3.6

#### Return value

Type: `ESourceRegistryServer`

The `ESourceRegistryServer` for `backend`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.